Subject: bug#55865: [BUG] 28.1.50; Msg "Local variables list is not properly terminated." displayed when opening a file with line `print("Local Variable:")`

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 Nov 2022 10:22:12 -0500

> I don't think there's anything to fix here -- Emacs makes a guess that
> this is a Local Variable section, but then it turns out that it's not,
> and it says so.
>
> So if you don't want that message, you have to obfuscate the string.

Indeed.  If there's something to fix here it's the relative lack
of information.
E.g. we could include in the message some info about the name of the
file in which we found the `Local Variables:` string (and its position
too, while at it).

We could also try and reduce the occurrence of such false positives
(e.g. by checking for the presence of `End:` or the presence of
the same prefix on the next line), but that would increase the
risk of emitting no message when the users do intend to write a `Local
Variables:` section but make a mistake writing it.

        Stefan